Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.util
Class AvailableValues

    java.lang.Object
      org.apache.tapestry5.ioc.util.AvailableValues

    public class AvailableValues

extends java.lang.Object

Used (as part of a `UnknownValueException` to identify what available values are present.

Since:
  5.2.0

Constructor Summary
`AvailableValues(java.lang.String valueType, java.util.Collection<?> values)`
`AvailableValues(java.lang.String valueType, java.util.Map<?,?> map)`

Method Summary
`java.util.List<java.lang.String>` | `getValues()` The values, as strings, in sorted order.
`java.lang.String` | `getValueType()` The type of value, i.e., "component types" or "service ids".
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AvailableValues

    public AvailableValues(java.lang.String valueType,
                           java.util.Collection<?> values)

Parameters:
  `valueType` - a word or phrase that describes what the values are such as "component types" or "service ids"
  `values` - a set of objects defining the values; the values will be converted to strings and sorted into ascending order

### AvailableValues

    public AvailableValues(java.lang.String valueType,
                           java.util.Map<?,?> map)

Method Detail

### getValueType

    public java.lang.String getValueType()

  The type of value, i.e., "component types" or "service ids".

### getValues

    public java.util.List<java.lang.String> getValues()

  The values, as strings, in sorted order.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.